%define upstream_name    namespace-clean
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Keep imports and functions out of your namespace
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/namespace/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope) >= 0.100.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Package::Stash) >= 0.230.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

Provides:   perl(namespace::clean)

%description
When you define a function, or import one, into a Perl package, it will
naturally also be available as a method. This does not per se cause
problems, but it can complicate subclassing and, for example, plugin
classes that are included via multiple inheritance by loading them as
base classes.

The 'namespace::clean' pragma will remove all previously declared or
imported symbols at the end of the current package's compile cycle.
Functions called in the package itself will still be bound by their
name, but they won't show up as methods on your class or instances.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.230.0-2.mga3
+ Revision: 375526
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.230.0-1.mga3
+ Revision: 255702
- update to 0.23

* Thu Jan 05 2012 jquelin <jquelin> 0.220.0-1.mga2
+ Revision: 191349
- update to 0.22
- update to 0.21

* Sat Jun 11 2011 spuhler <spuhler> 0.200.0-2.mga2
+ Revision: 103968
- increase rel for rebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 38336
- update to 0.20
- mageia rebuild
- imported package perl-namespace-clean

